> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finished task rows not yet in the ops table, oldest first



## OpenAPI

````yaml get /api/maintenance/internal/tasks/export
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/maintenance/internal/tasks/export:
    get:
      tags:
        - Maintenance (internal)
      summary: Finished task rows not yet in the ops table, oldest first
      operationId: export_tasks_api_maintenance_internal_tasks_export_get
      parameters:
        - name: after_finished_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: After Finished At
        - name: after_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: After Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 20000
            minimum: 1
            default: 5000
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskExportOut'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '501':
          description: Not Implemented
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    TaskExportOut:
      properties:
        rows:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Rows
        next_after_finished_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Next After Finished At
        next_after_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Next After Id
        table:
          type: string
          title: Table
        columns:
          items:
            items:
              type: string
            type: array
          type: array
          title: Columns
          description: '[name, spark type], in column order.'
        ddl:
          items:
            type: string
          type: array
          title: Ddl
      type: object
      required:
        - rows
        - table
        - columns
        - ddl
      title: TaskExportOut
      description: >-
        One page of finished tasks for the ops table, and how to create it (Task
        24).
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.